package com.sagacloud.dto;

/**
 * 命令执行相关状态
 * 
 * OK(200)指令已下发且已得到响应；
 * OK_SEND(202)指令发出去，但没得到反馈；
 * ERR_PARAM(400)参数错误;
 * ERR_TIME_INVALID(401)请求时间已过期；
 * ERR_SEND(500)下发指令失败; 
 * ERR_ANALYSIS(501)解析反馈结果失败 ;
 * ERR_INVALID(502)下发的指令已失效
 */
public enum OrderExeState {
	OK(200), OK_SEND(202), ERR_PARAM(400), ERR_TIME_INVALID(401), ERR_SEND(500), ERR_ANALYSIS(501), ERR_INVALID(502);
	private final int code;
	private OrderExeState(int code) {
		this.code = code;
	}
	public int getCode() {
		return code;
	}
}
